\environment entorn

\starttext

\startsubject[title={Problemes de fraccions}]

\startsubsubject[title={Preguntes}]

<%

exercicis = Hash.new

%>

<%# Exercici 1 %>
<%
exercicis[1] = Array.new
  parametres = Hash.new
  parametres['a'] = rand(2..5)
  parametres['b'] = rand(6..10)
  parametres['c'] = rand(2..5)
  parametres['d'] = rand(6..10)
  parametres['e'] = rand(2..20)
  
  # Ens asseguram que els denominadors siguin diferents
  if parametres['b'] == parametres['d']
    parametres['d'] = parametres['b'] + 2
  end
  
  # Ens asseguram que a/b + c/d sigui menor que 1
  # En cas contrari, c/d = a/(2b) i b = 2a + 1
  if (Rational(parametres['a'], parametres['b']) + Rational(parametres['c'], parametres['d'])) >= 1
     parametres['b'] = 2*parametres['a'] + 1
     parametres['c'] = parametres['a']
     parametres['d'] = 2*parametres['b']
  end
  exercicis[1].push(parametres)
%>

\startexercici[reference=exercici-1] En un prestatge d'una llibreria els llibres de poesia representen $\frac{<%=parametres['a']%>}{<%=parametres['b']%>}$ del total, els d'assaig $\frac{<%=parametres['c']%>}{<%=parametres['d']%>}$, i la resta de llibres són de novel·la. 

Trobeu:
\startitemize[a]
\item Quants exemplars de cada classe hi ha si la llibreria té $<%=parametres['b']*parametres['d']*parametres['e']%>$ llibres.
\item Quina fracció representen els llibres que no són de novel·la
\stopitemize
\stopexercici



<%# Exercici 2 %>
<%
exercicis[2] = Array.new

  parametres = Hash.new
  parametres['a'] = rand(2..20)
  parametres['b'] = rand(10..40)
  exercicis[2].push(parametres)
%>

\startexercici[reference=exercici-2] Per fer trajecte a peu, una persona recorre $<%=parametres['a']%> \unit{kilo meter}$ el primer dia, $<%=parametres['b']%> \unit{kilo meter}$ el segon dia i $10 \unit{kilo meter}$ el tercer.

\startitemize[a]
\item Trobeu la fracció que representa cada recorregut del total
\item Trobeu el percentatge que suposen
\item Quina fracció del recorregut és la distància recorreguda els primers dos dies?
\stopitemize
\stopexercici

\stopsubsubject


<%# ----------------------- Resolució ------------------------ %>
\page[yes]
\startsubsubject[title={Resolució}]

\startitemize
\sym{\in[exercici-1]}
<% exercicis[1].each do |par| %>

<%
sol = Rational(par['a'], par['b']) + Rational(par['c'], par['d'])
%>
\startitemize[a]
\item
\startitemize[a]
\item Els llibres de poesia són $<%=par['a']*par['d']*par['e']%>$
\item els d'assaig $<%=par['c']*par['b']*par['e']%>$
\item els de novel·la $<%=par['b']*par['d']*par['e']%> - <%=par['a']*par['d']*par['e']%> - <%=par['c']*par['b']*par['e']%> = <%=par['b']*par['d']*par['e']  - par['a']*par['d']*par['e'] - par['c']*par['b']*par['e']%>$
\stopitemize
\item Hem de sumar les fraccions dels llibres de poesia i assaig:
\startformula
\frac{<%=par['a']%>}{<%=par['b']%>} + \frac{<%=par['c']%>}{<%=par['d']%>} =  \frac{<%=sol.numerator%>}{<%=sol.denominator%>}
\stopformula

\stopitemize
<% end %>



\sym{\in[exercici-2]} 
<% exercicis[2].each do |par| %>
<%
  sol1 = Rational(par['a'], par['a'] + par['b'] + 10)
  sol2 = Rational(par['b'], par['a'] + par['b'] + 10)
  sol3 = Rational(10, par['a'] + par['b'] + 10)
  
  sol4 = sol1 + sol2
%>

\startitemize[a]
\item \startitemize[a] \item El primer dia representa el $<%=par['a']%>/(<%=par['a']%>+<%=par['b']%>+10) = <%=par['a']%>/<%=par['a'] + par['b'] + 10%> = <%=sol1.numerator%>/<%=sol1.denominator%>$. \item El segon dia representa el $<%=par['b']%>/(<%=par['a']%>+<%=par['b']%>+10) = <%=par['b']%>/<%=par['a'] + par['b'] + 10%> = <%=sol2.numerator%>/<%=sol2.denominator%>$; \item el tercer dia, $10/(<%=par['a']%>+<%=par['b']%>+10) = <%=sol3.numerator%>/<%=sol3.denominator%>$ \stopitemize
\item \startitemize[a] \item $<%=sol1.numerator%>/<%=sol1.denominator%> = <%=sol1.to_f.round(3)%>$. Per tant, representa el $<%=(sol1.to_f * 100).round(3)%>$\% \item $<%=sol2.numerator%>/<%=sol2.denominator%> = <%=sol2.to_f.round(3)%>$. Per tant, representa el $<%=(sol2.to_f * 100).round(3)%>$\%. \item $<%=sol3.numerator%>/<%=sol3.denominator%> = <%=sol3.to_f.round(3)%>$. Per tant, representa el $<%=(sol3.to_f * 100).round(3)%>$\% \stopitemize 
\item Simplement hem de sumar la fracció dels primers dos dies:
\startformula
\frac{<%=sol1.numerator%>}{<%=sol1.denominator%>} + \frac{<%=sol2.numerator%>}{<%=sol2.denominator%>} = \frac{<%=sol4.numerator%>}{<%=sol4.denominator%>}  
\stopformula
\stopitemize
<% end %>

\stopitemize

\vfill
La resolució d'aquests exercicis s'ha calculat automàticament usant programari lliure: encara que totes les expressions són correctes, potser algunes es poden simplificar més.

\stopsubsubject

\stopsubject

\stoptext
